collectd: Fix compiling against newer xfsprogs
[people/pmueller/ipfire-2.x.git] / src / patches / collectd-4.10.9-xfs-compile-fix.patch
1 --- collectd-4.10.9/src/utils_mount.c~  2018-10-23 12:16:24.979393842 +0000
2 +++ collectd-4.10.9/src/utils_mount.c   2018-10-23 12:18:44.473984419 +0000
3 @@ -21,20 +21,22 @@
4   *   Niki W. Waibel <niki.waibel@gmx.net>
5  **/
6  
7 +#define _GNU_SOURCE
8 +
9  #if HAVE_CONFIG_H
10  # include "config.h"
11  #endif
12  
13  #include "common.h"
14 +#include "plugin.h"
15 +#include "utils_mount.h"
16 +
17  #if HAVE_XFS_XQM_H
18  # include <xfs/xqm.h>
19  #define XFS_SUPER_MAGIC_STR "XFSB"
20  #define XFS_SUPER_MAGIC2_STR "BSFX"
21  #endif
22  
23 -#include "plugin.h"
24 -#include "utils_mount.h"
25 -
26  #if HAVE_GETVFSSTAT
27  #  if HAVE_SYS_TYPES_H
28  #    include <sys/types.h>